.container {
    display: flex;
    flex-flow: row wrap;
}

.child {
    width: 20%;
    height: 100px;
    margin: 0 15px 15px 0;
    text-decoration: none;
}

.child:first-child {
    background: red;
}

.child:nth-child(n+2) {
    background: pink;
}

.child:nth-child(n+6) {
    background: purple;
}

.child:nth-child(10), .child:nth-child(17) {
    font-size: 34px;
}

.child:nth-child(3n):hover {
    display: block;
    border: 3px dashed green;
}

.child:last-child {
    background: green;
    margin: 0 0 0 50px;
}

.child:nth-child(2n):hover, .child:last-child:hover {
    border: 1px solid blue;
}